--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Recognize the provided string components, returning a hash of recognized values, or [nil, reason] if the string isn't recognized.
full_name: Irc::Bot::MessageTemplate#recognize
is_singleton: false
name: recognize
params: (m)
visibility: public
